> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Schedule Settlement Status

> Name and signature indicate it gets schedule settlement status

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-schedule-settlement-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-schedule-settlement-status:
    get:
      operationId: getScheduleSettlementStatus
      summary: Get Schedule Settlement Status
      x-toku-required-scope: payments:read
      description: >-
        Name and signature indicate it gets schedule settlement status


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      parameters:
        - name: taxReferenceID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScheduleSettlementStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetScheduleSettlementStatusResponse:
      type: object
      properties:
        hasTransaction:
          type: boolean
        status:
          type:
            - string
            - 'null'
          enum:
            - QUEUED
            - PENDING
            - PENDING_APPROVAL
            - BROADCASTING
            - CONFIRMING
            - COMPLETED
            - FAILED
            - CANCELLED
            - REJECTED
            - null
        transaction:
          type: object
          properties:
            transactionID:
              type: string
            providerName:
              type: string
              enum:
                - SAFE
                - SAFE_PROPOSER
                - ANCHORAGE
                - FIREBLOCKS
                - SQUADS
                - COINBASE
                - FILECOIN_SELF_CUSTODY
                - FORDEFI
                - BITGO
            status:
              type: string
              enum:
                - QUEUED
                - PENDING
                - PENDING_APPROVAL
                - BROADCASTING
                - CONFIRMING
                - COMPLETED
                - FAILED
                - CANCELLED
                - REJECTED
            providerTransactionID:
              type: string
            transactionHash:
              type: string
            explorerUrl:
              type: string
            destinationAddress:
              type: string
            submittedAmount:
              type: string
              pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
            sourceCustodyWalletID:
              type: string
            isPartial:
              type: boolean
            lastStatusChangeAt:
              type: string
              pattern: ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
            createdAt:
              type: string
              pattern: ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
            error:
              type: object
              properties:
                code:
                  type: string
                message:
                  type: string
                httpStatus:
                  type: number
          required:
            - transactionID
            - providerName
            - status
            - destinationAddress
            - lastStatusChangeAt
            - createdAt
        canSubmit:
          type: boolean
        canRetry:
          type: boolean
        isMultiPart:
          type: boolean
        partSummary:
          type: object
          properties:
            total:
              type: integer
            ready:
              type: integer
            pending:
              type: integer
            completed:
              type: integer
            failed:
              type: integer
          required:
            - total
            - ready
            - pending
            - completed
            - failed
        parts:
          type: array
          items:
            type: object
            properties:
              taxReferenceID:
                type: string
              custodyWalletID:
                type: string
              providerName:
                type: string
                enum:
                  - SAFE
                  - SAFE_PROPOSER
                  - ANCHORAGE
                  - FIREBLOCKS
                  - SQUADS
                  - COINBASE
                  - FILECOIN_SELF_CUSTODY
                  - FORDEFI
                  - BITGO
              submittedAmount:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
              status:
                type: string
                enum:
                  - READY
                  - PENDING
                  - COMPLETED
                  - FAILED
                  - BLOCKED
              providerTransactionID:
                type: string
              transactionID:
                type: string
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  httpStatus:
                    type: number
              lastStatusChangeAt:
                type: string
                pattern: ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
            required:
              - taxReferenceID
              - custodyWalletID
              - providerName
              - submittedAmount
              - status
        allTransactions:
          type: array
          items:
            type: object
            properties:
              transactionID:
                type: string
              providerName:
                type: string
                enum:
                  - SAFE
                  - SAFE_PROPOSER
                  - ANCHORAGE
                  - FIREBLOCKS
                  - SQUADS
                  - COINBASE
                  - FILECOIN_SELF_CUSTODY
                  - FORDEFI
                  - BITGO
              status:
                type: string
                enum:
                  - QUEUED
                  - PENDING
                  - PENDING_APPROVAL
                  - BROADCASTING
                  - CONFIRMING
                  - COMPLETED
                  - FAILED
                  - CANCELLED
                  - REJECTED
              providerTransactionID:
                type: string
              transactionHash:
                type: string
              explorerUrl:
                type: string
              destinationAddress:
                type: string
              submittedAmount:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|-?Infinity|NaN)$
              sourceCustodyWalletID:
                type: string
              isPartial:
                type: boolean
              lastStatusChangeAt:
                type: string
                pattern: ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
              createdAt:
                type: string
                pattern: ^(?:\d{4}|[+-]\d{6})-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  httpStatus:
                    type: number
            required:
              - transactionID
              - providerName
              - status
              - destinationAddress
              - lastStatusChangeAt
              - createdAt
      required:
        - hasTransaction
        - status
        - canSubmit
        - canRetry
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
